Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::pdf::PagingSealConfig Class Reference

Inherits Object.

## Public Types
enum | PagingSealPosition { e_PagingSealPositionLeft = 1, e_PagingSealPositionRight = 2, e_PagingSealPositionTop = 3, e_PagingSealPositionBottom = 4 }
| Enumeration for paging seal position. More...
enum | PagingSealStyle { e_PagingSealStyleMultipleSignatures = 0, e_PagingSealStyleOneSignature = 1 }
| Enumeration for paging seal signature style. More...

## Public Member Functions
| PagingSealConfig (PagingSealPosition paging_seal_position, float offset, float first_page_percent, bool is_on_perforation, PagingSealStyle paging_seal_style=PagingSealConfig::e_PagingSealStyleMultipleSignatures, bool is_display_multiple_seal=false, int page_count_for_each_seal=30)
| Constructor, with parameter. More...
bool | operator!= (const PagingSealConfig &paging_seal_config) const
| Not equal operator. More...
PagingSealConfig & | operator= (const PagingSealConfig &paging_seal_config)
| Assign operator. More...
bool | operator== (const PagingSealConfig &paging_seal_config) const
| Equal operator. More...
void | Set (PagingSealPosition paging_seal_position, float offset, float first_page_percent, bool is_on_perforation, PagingSealStyle paging_seal_style, bool is_display_multiple_seal=false, int page_count_for_each_seal=30)
| Set value. More...

## Public Attributes
float | first_page_percent
| The percent of the first paging seal. The rest percent will be divided equally by the other paging seals. This parameter should bigger than 0.0, less than 1.0.
bool | is_display_multiple_seal
| Decide whether to display multiple paging seal appearance for current paging seal signature. true means to display multiple paging seal appearance, each count pages use one paging seal appearance, count is set by page_count_for_each_seal. While false means not. This parameter has no effect when the parameter is_on_perforation is true.
bool | is_on_perforation
| Decide whether to chop a seal that covering the left or right margin of each two pages. true means the paging seal signatures will be added to pages in pairs, and the parameter paging_seal_position and the parameter first_page_percent will have no effect. false means not.
float | offset
| The offset of paging seal signature. More...
int | page_count_for_each_seal
| The page count of each seal. This value only useful when the parameter is_display_multiple_seal is true. This value should be larger than 1. If the page count of the last seal is 1, it will be merged with the previous seal to form one seal.
PagingSealPosition | paging_seal_position
| The position of paging seal. Please refer to values starting from PagingSealConfig::e_PagingSealPositionLeft and this would be one of these values.
PagingSealStyle | paging_seal_style
| The style of paging seal signature. Please refer to values starting from PagingSealConfig::e_PagingSealStyleMultipleSignatures and this would be one of these values. More...

## Detailed Description

This class represents paging seal configuration. This configuration can be set by function PagingSealSignature::SetPagingSealConfig.

## Member Enumeration Documentation

## ◆ PagingSealPosition

enum foxit::pdf::PagingSealConfig::PagingSealPosition

Enumeration for paging seal position.

Values of this enumeration should be used alone.

Enumerator
e_PagingSealPositionLeft | Left Paging Seal.
e_PagingSealPositionRight | Right Paging Seal.
e_PagingSealPositionTop | Top Paging Seal.
e_PagingSealPositionBottom | Bottom Paging Seal.

## ◆ PagingSealStyle

enum foxit::pdf::PagingSealConfig::PagingSealStyle

Enumeration for paging seal signature style.

Values of this enumeration should be used alone.

Enumerator
e_PagingSealStyleMultipleSignatures | Add multiple signatures. Use the Signature to display the appearance of paging seal signature, and these signatures share the same signature data.
e_PagingSealStyleOneSignature | Only add one signature. This signature is used for signature and verification and will be hidden in the PDF document. Use the annots::PagingSeal annotation to display the appearance of paging seal signature.

## Constructor & Destructor Documentation

## ◆ PagingSealConfig()

foxit::pdf::PagingSealConfig::PagingSealConfig | ( | PagingSealPosition | paging_seal_position,
|  | float | offset,
|  | float | first_page_percent,
|  | bool | is_on_perforation,
|  | PagingSealStyle | paging_seal_style = `PagingSealConfig::e_PagingSealStyleMultipleSignatures`,
|  | bool | is_display_multiple_seal = `false`,
|  | int | page_count_for_each_seal = `30`
| ) |  |

Constructor, with parameter.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from PagingSealConfig::e_PagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from PagingSealConfig::e_PagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: false.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::PagingSealConfig::operator!= | ( | const PagingSealConfig & | paging_seal_config | ) | const
| inline

Not equal operator.

Parameters

  [in] | paging_seal_config | Another paging seal configuration object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

PagingSealConfig& foxit::pdf::PagingSealConfig::operator= | ( | const PagingSealConfig & | paging_seal_config | ) |
| inline

Assign operator.

Parameters

  [in] | paging_seal_config | Another paging seal configuration object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::PagingSealConfig::operator== | ( | const PagingSealConfig & | paging_seal_config | ) | const
| inline

Equal operator.

Parameters

  [in] | paging_seal_config | Another paging seal configuration object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::PagingSealConfig::Set | ( | PagingSealPosition | paging_seal_position,
|  | float | offset,
|  | float | first_page_percent,
|  | bool | is_on_perforation,
|  | PagingSealStyle | paging_seal_style,
|  | bool | is_display_multiple_seal = `false`,
|  | int | page_count_for_each_seal = `30`
| ) |  |

Set value.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from PagingSealConfig::e_PagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from PagingSealConfig::e_PagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: false.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

Returns
  None.

## Member Data Documentation

## ◆ offset

float foxit::pdf::PagingSealConfig::offset

The offset of paging seal signature.

This value should not be a negative number. The maximum value of offset is the value of page width or page height minus the width or height of rectangle of paging seal signature. If offset bigger than the maximum value, the maximum will be used.

- For top paging seal and bottom paging seal, this value will be the horizontal offset of the left of signature rectangle.
- For right paging seal,left paging seal, this value will be the vertical offset of the bottom of signature rectangle.
- For the parameter is_on_perforation is true, this value will be the vertical offset of the bottom of signature rectangle.

## ◆ paging_seal_style

PagingSealStyle foxit::pdf::PagingSealConfig::paging_seal_style

The style of paging seal signature. Please refer to values starting from PagingSealConfig::e_PagingSealStyleMultipleSignatures and this would be one of these values.

Different styles cannot be converted to each other. Default value: PagingSealConfig::e_PagingSealStyleMultipleSignatures.